summaryrefslogtreecommitdiff
path: root/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild')
-rw-r--r--dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
new file mode 100644
index 000000000000..a125ca4fea66
--- /dev/null
+++ b/dev-python/mapbox-vector-tile/mapbox-vector-tile-2.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mapbox Vector Tile encoding and decoding."
+HOMEPAGE="
+ https://github.com/tilezen/mapbox-vector-tile/
+ https://pypi.org/project/mapbox-vector-tile/
+"
+SRC_URI="https://github.com/tilezen/mapbox-vector-tile/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ >=dev-python/pyclipper-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproj-3.4.1[${PYTHON_USEDEP}]
+ >=dev-python/shapely-2.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # don't install into top-level
+ sed -Ei '/include = \[/,/\]/ { /(README|CHANGELOG)/d }' pyproject.toml || die
+ # relax the dep
+ sed -i -e '/protobuf/s:\^[0-9.]*:*:' pyproject.toml || die
+ distutils-r1_src_prepare
+}